GNU bug report logs - #47039
27.1; find-image ignores image-scaling-factor

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: ynyaaa@HIDDEN; merged with #40978; dated Wed, 10 Mar 2021 09:50:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 40978 47039. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47039 <at> debbugs.gnu.org:


Received: (at 47039) by debbugs.gnu.org; 10 Mar 2021 14:36:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 09:36:17 2021
Received: from localhost ([127.0.0.1]:49434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJzwf-0006hz-Ic
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 09:36:17 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lJzwe-0006hj-5o
 for 47039 <at> debbugs.gnu.org; Wed, 10 Mar 2021 09:36:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CRh5aLh7ci1T8hahexn6Aey5nQr663W/OfkS4gkN7xw=; b=YtUBNB+9qBAy7j2uyOcwyiSXT2
 5gTeMD2fyYWTefNAUAmnE6JT8WcIzXfe/slrYJtf4013PHd7UynEmBnS/6vS6s6E4GIVZJvfTnbXc
 etJSAJ3Ai+251M1g9eSvmAXqMOGFsklTqYt8FtCMC2aV71HBciZap8jlSSp0eQ0V45Wg=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lJzwU-0004F7-LZ; Wed, 10 Mar 2021 15:36:09 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: ynyaaa@HIDDEN
Subject: Re: bug#47039: 27.1; find-image ignores image-scaling-factor
References: <86r1kn1gp3.fsf@HIDDEN>
X-Now-Playing: Siouxsie and the Banshees's _The Scream_: "Switch"
Date: Wed, 10 Mar 2021 15:36:04 +0100
In-Reply-To: <86r1kn1gp3.fsf@HIDDEN> (ynyaaa@HIDDEN's message of "Wed,
 10 Mar 2021 18:49:44 +0900")
Message-ID: <87czw7kre3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  ynyaaa@HIDDEN writes: > Evaluating the form below, the
 image object returned by find-image is > displayed as original size while
 the image object returend by create-image > is displayed twice the original
 size. Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47039
Cc: 47039 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

ynyaaa@HIDDEN writes:

> Evaluating the form below, the image object returned by find-image is
> displayed as original size while the image object returend by create-image
> is displayed twice the original size.

This is a duplicate of bug#40978; merging.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47039; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Mar 2021 09:49:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:49:55 2021
Received: from localhost ([127.0.0.1]:48806 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJvTX-0005LS-GR
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:49:55 -0500
Received: from lists.gnu.org ([209.51.188.17]:49300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ynyaaa@HIDDEN>) id 1lJvTU-0005LJ-FV
 for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:49:54 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:57116)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ynyaaa@HIDDEN>) id 1lJvTU-0004kq-7I
 for bug-gnu-emacs@HIDDEN; Wed, 10 Mar 2021 04:49:52 -0500
Received: from mail-pg1-x529.google.com ([2607:f8b0:4864:20::529]:43437)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <ynyaaa@HIDDEN>) id 1lJvTR-0002RV-S5
 for bug-gnu-emacs@HIDDEN; Wed, 10 Mar 2021 04:49:52 -0500
Received: by mail-pg1-x529.google.com with SMTP id n10so11058717pgl.10
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Mar 2021 01:49:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=+i53JdzLuj5ZTwqRbZEDtlQpW7nCWaScL147nTQFEsc=;
 b=Q1ItEfNWSw70xG0spbhE6wEFq2jgjgl3PX8FOL+25gTxiTkxCuWOCtDp8Fpo3TDNLb
 1NuZDqoULAKR8mYbTmGKemJXwoZg/9g/UQBo6W0+Iahi0kFkkoEG/akPgIrU7NSBgQIv
 hnJmH1uDnf6hwpuK+D0NusIJK0HLOYGoVMIz+kogV+N/rNLAAWy0ojTp8798yNHNQ/9E
 bnbjn2xWm2RJ04zF0lMJYhU38Q2gpvpc6qX4MhiDE1TPNJjYDEM1X8PCEg2NAtnUcfaA
 NZ49Rl2oz9nfubtH7o1b5F29J2VDEj8UK+M3Rhkf/wAuCPP0Irco4JqbqRjHGlId05WG
 9VIg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=+i53JdzLuj5ZTwqRbZEDtlQpW7nCWaScL147nTQFEsc=;
 b=U9lBlk7tGKWDcZXjGo8nLidU0v3SwF4C3s3zUzuJ8qav4zJKdCUsWc66lv6by68gWf
 yPwsSVUOhtNRVrXLxa2cgT5oQ3dGURWlWSQMNe8iAXaUTLOztZO9YZUGmasGRYbrkU8c
 z37nD0p+mJjZ/5/1eXkjMDhfrZYF+JKRx4bUA6I0MjJqvenR4RFVsBWCiDokvKLO8p0a
 2hBirQPLGAFmiwLXOPMIFuj56bPxST6nVzDppvcAlxJZxjrLUAZck7fnK3MgObjLM7i7
 BtwaWlZoJhlHjIHjHIRrX9eAeIDCw6pNLeCt2NRbC2btrPIcjjJbUw4SmQVelyrkywPU
 CgVg==
X-Gm-Message-State: AOAM532Xw0d+hb+U8yYfSvW7aM2Z6Eea94W6AzrIFyPqdYYwecKhfokR
 BqvuUYTh6syFEAHTuk+p+1A1XwsUgvk=
X-Google-Smtp-Source: ABdhPJwsE8cqV8LKWfZ0rsDbk02V86wkyv+HqzIer1o85lMhkKbx8IGCTIDsII9Sck9aOtMftxRgpQ==
X-Received: by 2002:a63:4b0a:: with SMTP id y10mr2099191pga.144.1615369788126; 
 Wed, 10 Mar 2021 01:49:48 -0800 (PST)
Received: from HP (east42-p109.eaccess.hi-ho.ne.jp. [219.121.173.110])
 by smtp.gmail.com with ESMTPSA id b140sm7528951pfb.98.2021.03.10.01.49.47
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 10 Mar 2021 01:49:47 -0800 (PST)
From: ynyaaa@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; find-image ignores image-scaling-factor
Date: Wed, 10 Mar 2021 18:49:44 +0900
Message-ID: <86r1kn1gp3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::529;
 envelope-from=ynyaaa@HIDDEN; helo=mail-pg1-x529.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Evaluating the form below, the image object returned by find-image is
displayed as original size while the image object returend by create-image
is displayed twice the original size.

(let* ((image-scaling-factor 2)
       (img1 (find-image '((:file "gnus/gnus.xpm" :type xpm))))
       (f (image-property img1 :file))
       (img2 (create-image f 'xpm)))
  (insert-image img1)
  (insert ?\n)
  (insert-image img2))


In GNU Emacs 27.1 (build 1, x86_64-w64-mingw32)
 of 2020-08-22 built on CIRROCUMULUS
Repository revision: 86d8d76aa36037184db0b2897c434cdaab1a9ae8
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 10.0.18363
System Description: Microsoft Windows 10 Pro (v10.0.1909.18363.1379)

Recent messages:

Configured using:
 'configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: JPN
  locale-coding-system: cp932

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(dired-aux gnutls network-stream nsm mailalias smtpmail auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs json map misearch
multi-isearch pp shadow sort mail-extr emacsbug message rmc puny dired
dired-loaddefs format-spec rfc822 mml mml-sec password-cache epa derived
epg epg-config gnus-util rmail rmail-loaddefs text-property-search
time-date subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
help-fns radix-tree cl-print debug backtrace help-mode easymenu
find-func cl-loaddefs cl-lib term/bobcat japan-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32
ls-lisp disp-table term/w32-win w32-win w32-vars term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
threads w32notify w32 lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 79813 22305)
 (symbols 48 8740 11)
 (strings 32 23800 5805)
 (string-bytes 1 751915)
 (vectors 16 14170)
 (vector-slots 8 274238 22448)
 (floats 8 27 294)
 (intervals 56 2565 0)
 (buffers 1000 22))




Acknowledgement sent to ynyaaa@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47039; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 10 Mar 2021 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.